Bug 44568 - samba without CUPS still links CUPS
Summary: samba without CUPS still links CUPS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-10-28 15:50 UTC by Vivek Khera
Modified: 2002-10-30 17:26 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vivek Khera 2002-10-28 15:50:01 UTC
	
I upgraded samba to 2.2.6 from 2.2.5 last week.  Printing from Win2000
(fully updated/patched) stopped working.  There was an error in the
log.smb file about not being able to reach a CUPS server, so I decided
to try building samba without CUPS.  However, all that the menu option
to disable CUPS in the samba build process does is not register the
dependency.  Samba is still linked against CUPS.

Fix: 

dunno.  i'm reverting back to 2.2.5 to get printing working
again. (Yes, I've set printing = bsd in my smb.conf file).
How-To-Repeat: 	

build samba with the "no cups" menu option selected.
Comment 1 Alan Eldridge 2002-10-28 16:00:03 UTC
On Mon, Oct 28, 2002 at 10:41:26AM -0500, Vivek Khera wrote:
>
>>Number:         44568
>>Category:       ports
>>Synopsis:       samba without CUPS still links CUPS
>	
>>Description:
>	
>I upgraded samba to 2.2.6 from 2.2.5 last week.  Printing from Win2000
>(fully updated/patched) stopped working.  There was an error in the
>log.smb file about not being able to reach a CUPS server, so I decided
>to try building samba without CUPS.  However, all that the menu option
>to disable CUPS in the samba build process does is not register the
>dependency.  Samba is still linked against CUPS.

Hmmm... I'd have to look at that. That may be the Samba package, not us,
in which case it's gonna be hard to do anything about it.

Unlike the other printing systems, Samba prints to CUPS by direct C API
calls, not exec'ing 'lp*' programs. The new cups (which I am working on)
includes a new Samba driver as an extra, although I know no specifics yet.

dwcjr - when I get a chance I'll try to see what's going on.

Vivek - pardon my idioms, but so ****ing what? Nothing is harmed.

My own personal opinion is that this PR should just be closed as not
a real issue, but that's without investigation ... and I do *NOT* want
to get into a discussion of whether this *is* a real issue or not.

-- 
Alan Eldridge (cups-* maintainer)
Unix/C(++) IT Pro, 20 yrs, seeking new employment.
(http://wwweasel.geeksrus.net/~alane/resume.txt)
KDE, KDE-FreeBSD Teams (http://www.kde.org, http://freebsd.kde.org/)
Comment 2 dwcjr 2002-10-28 18:04:45 UTC
Which portrevision did you try?

-- 
David W. Chapman Jr.
dwcjr@inethouston.net	Raintree Network Services, Inc. <www.inethouston.net>
dwcjr@freebsd.org	FreeBSD Committer <www.FreeBSD.org>
Comment 3 Vivek Khera 2002-10-28 19:24:20 UTC
>>>>> "DWC" == David W Chapman, <David> writes:

DWC> Which portrevision did you try?

/usr/ports/net/samba:

PORTNAME=       samba
PORTVERSION=    2.2.6

No PORTREVISION present.

The Makefile is dated October 17.

Aside from this, it seems to me that if samba has CUPS linked, it uses
it instead of the bsd printing mechanism I configured... but that's
another issue.

If I pkg_delete cups_base first, then it works as expected (and prints
ok, too).

Someone sent this patch along, which I haven't tried:

diff -u -r1.104 Makefile
--- Makefile	17 Oct 2002 13:49:31 -0000	1.104
+++ Makefile	28 Oct 2002 17:26:04 -0000
@@ -123,6 +125,8 @@
 LIB_DEPENDS+=	cups.2:${PORTSDIR}/print/cups-base
 CONFIGURE_ENV+=	CPPFLAGS=-I${LOCALBASE}/include \
 		LDFLAGS=-L${LOCALBASE}/lib
+.else
+CONFIGURE_ARGS+=	--without-cups
 .endif
 
 .if defined(KRB5_HOME) && exists(${KRB5_HOME})
Comment 4 dwcjr 2002-10-28 19:27:01 UTC
That patch seems like it would do the trick, if you could test it 
sometime, let me know and I'll commit it.
-- 
David W. Chapman Jr.
dwcjr@inethouston.net	Raintree Network Services, Inc. <www.inethouston.net>
dwcjr@freebsd.org	FreeBSD Committer <www.FreeBSD.org>
Comment 5 Vivek Khera 2002-10-28 19:46:21 UTC
>>>>> "DWC" == David W Chapman, <David> writes:

DWC> That patch seems like it would do the trick, if you could test it 
DWC> sometime, let me know and I'll commit it.

It did not work... however if you use the correct "--disable-cups" it
does work:

.if defined(WITH_CUPS)
LIB_DEPENDS+=   cups.2:${PORTSDIR}/print/cups-base
CONFIGURE_ENV+= CPPFLAGS=-I${LOCALBASE}/include \
                LDFLAGS=-L${LOCALBASE}/lib
.else
CONFIGURE_ARGS+= --disable-cups
.endif

Thanks.
Comment 6 dwcjr freebsd_committer 2002-10-30 17:26:30 UTC
State Changed
From-To: open->closed

Committed, thanks!